Page 1 of 1

3.1.1.0 to 3.2 Error - SOLVED

Posted: Tue Jan 10, 2017 10:20 am
by kenghower
I've upgraded this board many times...it's been running since 2003. I just did the automatic upgrade. I had a lot of files to delete according to the list....so I did. Once done, the upgrade was smooth and completed and gave me the ACP link.

I got in fine to the ACP, but when I clicked the board index...I received this error

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/di/container_builder.php on line 146: require(./cache/production/autoload_4335734bbdd20f586549a504dff5f80c.php): failed to open stream: No such file or directory

Fatal error: require(): Failed opening required './cache/production/autoload_4335734bbdd20f586549a504dff5f80c.php' (include_path='.:/usr/lib/php5.6') in /homepages/4/d92252027/htdocs/board/phpbb/di/container_builder.php on line 146
I checked..cache is 777. I deleted the install folder.

Re: 3.1.1.0 to 3.2 Error

Posted: Tue Jan 10, 2017 12:20 pm
by Aros010
Wow I didn't know this version was so hard to update, I got all the errors i'm reading in this forum. :roll:

Re: 3.1.1.0 to 3.2 Error

Posted: Tue Jan 10, 2017 11:16 pm
by kenghower
I guess I'll do the full update and hope.

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 10:12 am
by Mick
kenghower wrote:
Tue Jan 10, 2017 11:16 pm
I guess I'll do the full update and hope.
Which is the correct way to go.

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 10:37 am
by bsolah
I've done the full update and it won't work, I can't update the database coz it times out and no one can tell me how to remove the timeout function

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 1:00 pm
by JimA
bsolah wrote:
Wed Jan 11, 2017 10:37 am
I've done the full update and it won't work, I can't update the database coz it times out and no one can tell me how to remove the timeout function
Please don't hijack another user's topic with your own support questions.
If you feel that your topic might have accidentally gone unnoticed, feel free to bump it after six hours.

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 2:14 pm
by bsolah
JimA wrote:
Wed Jan 11, 2017 1:00 pm
bsolah wrote:
Wed Jan 11, 2017 10:37 am
I've done the full update and it won't work, I can't update the database coz it times out and no one can tell me how to remove the timeout function
Please don't hijack another user's topic with your own support questions.
If you feel that your topic might have accidentally gone unnoticed, feel free to bump it after six hours.
Sorry was merely responding the people's suggestions to do the full update don't necessarily work, that's what I was told and it didn't fix it. It might not fix the OP's problem.

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 2:32 pm
by JimA
kenghower wrote:
Tue Jan 10, 2017 10:20 am
I've upgraded this board many times...it's been running since 2003. I just did the automatic upgrade. I had a lot of files to delete according to the list....so I did. Once done, the upgrade was smooth and completed and gave me the ACP link.

I got in fine to the ACP, but when I clicked the board index...I received this error

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/di/container_builder.php on line 146: require(./cache/production/autoload_4335734bbdd20f586549a504dff5f80c.php): failed to open stream: No such file or directory

Fatal error: require(): Failed opening required './cache/production/autoload_4335734bbdd20f586549a504dff5f80c.php' (include_path='.:/usr/lib/php5.6') in /homepages/4/d92252027/htdocs/board/phpbb/di/container_builder.php on line 146
I checked..cache is 777. I deleted the install folder.
This error suggests a caching problem. Could you check if your cache folder is writable?
It should have 777 CHMOD permissions, for more info: phpBB3 Chmod Permissions

In addition, try deleting the entire contents of the cache/production folder.

Re: 3.1.1.0 to 3.2 Error

Posted: Wed Jan 11, 2017 5:07 pm
by Lumpy Burgertushie
and, check your config.php file and if you are using mysql change it to mysqli to see if that solves the time out problem.


robert

Re: 3.1.1.0 to 3.2 Error

Posted: Sat Jan 14, 2017 5:12 pm
by kenghower
Fixed:

So if you receive this error. I copied my config file and deleted every file from server except for those listed on the Full Update instructions.

Once I copied over all the new files from the full package except those listed in the instructions, and it was immediately working again. I didn't need to run the install, because the DB was updated from the automatic update.

Re: 3.1.1.0 to 3.2 Error

Posted: Sat Jan 14, 2017 5:14 pm
by kenghower
JimA wrote:
Wed Jan 11, 2017 2:32 pm
This error suggests a caching problem. Could you check if your cache folder is writable?
It should have 777 CHMOD permissions, for more info: phpBB3 Chmod Permissions

In addition, try deleting the entire contents of the cache/production folder.

Thanks Jim. This probably was the issue, which of course went away when I deleted every folder (except those listed on the full install instructions.

Re: 3.1.1.0 to 3.2 Error - SOLVED

Posted: Sat Oct 05, 2019 8:04 pm
by odman
I had the same problem but – Wow, I solved it. I just copied another autoload_xxx.php-file and changed its name into the file name in the error message and it worked...

Re: 3.1.1.0 to 3.2 Error - SOLVED

Posted: Sat Oct 05, 2019 8:09 pm
by canonknipser